<?php
/**
 * Block Patterns
 *
 * @package tech_software
 * @since 1.0
 */

function tech_software_register_block_patterns() {
	$tech_software_block_pattern_categories = array(
		'tech-software' => array( 'label' => esc_html__( 'Tech Software', 'tech-software' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'tech-software' ) ),
	);

	$tech_software_block_pattern_categories = apply_filters( 'tech_software_tech_software_block_pattern_categories', $tech_software_block_pattern_categories );

	foreach ( $tech_software_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'tech_software_register_block_patterns', 9 );